.PS
# Diodes.m4
cct_init

movewid = 2pt__
define(`Below',`from last line.start-(0,ifelse(`$1',,0.2,`$1')) right_ elen_')

{  diode ; move ; "`{\tt diode}'" ljust
   diode(Below,S); move ; "`{\tt diode(,S)}'" ljust
   diode(Below,V); move ; "`{\tt diode(,V)}'" ljust
   diode(Below,v); move ; "`{\tt diode(,v)}'" ljust
   diode(Below,w); move ; "`{\tt diode(,w)}'" ljust
   diode(Below,B); move ; "`{\tt diode(,B)}'" ljust
   diode(Below,b); move ; "`{\tt diode(,b)}'" ljust
   diode(Below,G); move ; "`{\tt diode(,G)}'" ljust
   diode(Below,D); move ; "`{\tt diode(,D)}'" ljust
   }

   move right_ 2.0
{  diode(,z); move ; "`{\tt diode(,z)}'" ljust
   diode(Below,K); move ; "`{\tt diode(,K)}'" ljust
   diode(Below,ZK); move ; "`{\tt diode(,ZK)}'" ljust
   diode(Below,CR); move ; "`{\tt diode(,CR)}'" ljust
   diode(Below,L); move ; "`{\tt diode(,L)}'" ljust
   diode(Below,F); move ; "`{\tt diode(,F)}'" ljust
   diode(Below,Sh); move ; "`{\tt diode(,Sh)}'" ljust
   diode(Below,M); move ; "`{\tt diode(,M)}'" ljust
   diode(Below,MK); move ; "`{\tt diode(,MK)}'" ljust
   }

   move down_ dimen_/8 right_ 2.0
{  diode(,Z,RE); move ; "`{\tt diode(,Z,RE)}'" ljust
   diode(Below(0.3),U); move ; "`{\tt diode(,U)}'" ljust
   diode(Below(0.15),T); move ; "`{\tt diode(,T)}'" ljust
   diode(Below(0.3),P); move ; "`{\tt diode(,P)}'" ljust
   diode(Below(0.3),LE); move ; "`{\tt diode(,LE)}'" ljust
   diode(Below(0.15),LER); move ; "`{\tt diode(,LER)}'" ljust
#  sidac(Below(0.35),env=E); move ; "`{\tt sidac(,env=E)}'" ljust
   diode(Below(0.35),SI,E); move ; "`{\tt diode(,SI,E)}'" ljust \
    `"\tt =sidac(,env=E)"' ljust
   }

.PE
